<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCashesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cashes', function (Blueprint $table) {
            $table->id();
            $table->date('entry_date');
            $table->char('refer',50);
            $table->integer('refer_id');
            $table->foreignId('collectors_id')->nullable()->constrained('collectors');
            $table->decimal('debit',$precision = 10, $scale = 2)->nullable()->default(0);
            $table->decimal('credit',$precision = 10, $scale = 2)->nullable()->default(0);
            $table->integer('created_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cashes');
    }
}
