@extends('layouts.app')  

@section('content')
    
			
<div class="card shadow bg-white rounded">
    <x-pageheader-component url="advanceentry.index" title="Advance Entry Approval" editno='{{$data->advance_no}}'  pagetype="create"/>
      <div class="card-body">
        <div class="row">
        <div class="col-md-6">
        <div class="form-row col-md-12">
          <div class="form-group col-md-2">
              <label ><b>Advance Type <span style="color: red">*</span></b></label></br>
          </div>
          <div class="form-group col-md-3">
            <label >{{strtoupper($data->advance_type)}}</label>                                 
          </div>
      </div>
          <div class="form-row col-md-12">
              <div class="form-group col-md-2">
                  <label><b>Date <span style="color: red">*</span></b></label>  
              </div>
              <div class="form-group col-md-3">
                <label >{{date('d-m-Y',strtotime($data->entry_date))}}</label> 
          </div>
      </div>
          <div class="form-row col-md-12">
              <div class="form-group col-md-2">
                  <label><b>Employee <span style="color: red">*</span></b></label>  
              </div>
              <div class="form-group col-md-3">
                <label >{{$data->employeename->employee_name}}</label> 
          </div>
      </div>
      <div class="form-row col-md-12">
          <div class="form-group col-md-2">
          <label ><b>Amount <span style="color: red">*</span></b></label>
      </div>
      <div class="form-group col-md-3">
        <label >{{$data->amount}}</label> 
          <input type="hidden" name="amount" id="amount" class="form-control" step="any" min="0.01" value="{{$data->amount}}" readonly >
      </div>
  </div>
          <div class="form-row col-md-12">
              <div class="form-group col-md-2">
              <label ><b>Description <span style="color: red">*</span></b></label>
          </div>
          <div class="form-group col-md-3">
            <label >{{$data->notes}}</label> 
          </div>
      </div>
    </div>
      <div class="col-md-6">
        <div class="card" style="border-color: red">
        <div class="form-row col-md-12">
            <div class="form-group col-md-8">
                &nbsp; <h5 class="card-title text-success"> <b> Employee Details </b> </h5>
                       
                        <b> <p>&nbsp;&nbsp;Employee ID : <span class="text-primary">{{$data->employeename->code}}</span></p>
                        <p>&nbsp;&nbsp; Phone : <span class="text-primary">{{$data->employeename->mobile_number}}</span></p>
                        <p>&nbsp;&nbsp; Salary Type : <span class="text-primary">{{$data->employeename->salarytype->salary_type}}</span></p>
                        <p>&nbsp;&nbsp; Division : <span class="text-primary">{{$data->employeename->division->division_name}}</span></p>
                        <p>&nbsp;&nbsp; Designation : <span class="text-primary">{{$data->employeename->designation->designation_name}}</span></p>
                        <p>&nbsp;&nbsp; Address : <span class="text-primary">{{$data->employeename->present_address}}</span></p>
                        <p>&nbsp;&nbsp; Created By : <span class="text-primary">{{$data->user->employee->employee_name}}</span></p>
                        <p>&nbsp;&nbsp; Main Advance Bal : <span >{{number_format($total_advance_main,2)}}</span></p> 
                        <p>&nbsp;&nbsp; Current Advance Bal : <span >{{number_format($total_advance_curr,2)}}</span></p> 
                        <p>&nbsp;&nbsp; Outstanding Bal : <span >{{number_format($total_advance,2)}}</span></p> </b> 
                </div>
                <div class="form-group col-md-4">  &nbsp; 
                    <p><img class="float-left rounded " id="choosen-img"  @if($data->employeename->image_name) src="{{ asset('storage/employee-images/'.$data->employeename->image_name) }}" @else  src="{{ asset('storage/employee-images/profile-image.png') }}" @endif width="150" height="160"></p>
                </div> 
                </div>
       
    </div>
    </div>
</div>
      </div>
    <div class="card-footer">
        <div class="dropdown">
        <button class="btn btn-primary dropdown-toggle" type="button" id="more-menu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Approve
          </button>
          <div class="dropdown-menu dropdown-menu-left" aria-labelledby="dropdownMenuButton">
            <a class="dropdown-item" href="#" onclick="advance_entry_approve({{$data->id}},'approve')">Approve</a>
            <a class="dropdown-item" href="#" onclick="advance_entry_approve({{$data->id}},'reject')">Reject</a>
      </div>
    </div>
    </div>
</div>

<x-modalpopup-component title=""/>
    
@endsection   

@section('script-content')

<script src="{{ asset('project-js/advance-entry.js') }}"></script>  
    
@endsection