@extends('layouts.app')  

@section('content')
    
			
<div class="card shadow bg-white rounded">
    <x-pageheader-component url="receipt.index" title="Create Receipt Entry" pagetype="create"/>
    <form id="receipt_entry_form" action="{{route('receipt.store')}}" method="POST" class="needs-validation" novalidate>
    @csrf   

        <div class="card-body"> 
            @include('layouts.error-message')

            <div class="col-md-3">
                <div class="mb-2">
                        <label><b>Date <span style="color: red">*</span></b></label>  
                    
                    <x-date-component datelabel="" name="entry_date" id="entry_date" labelneed='no'   required/>
                </div>
            </div>

            <div class="col-md-3">
                <div class="mb-2">
                    <label><b>Collectors Name <span style="color: red">*</span></b></label>  
                    <select name="collector_name" id="collector_name"  class="form-control custom-select" style="width:100%;" required>
                        <option value="">Select</option>
                        @foreach($collectorsdata as $item)
                        <option value="{{$item->id}}" >{{$item->name}}</option>
                    @endforeach
                    
                </select>
            </div>
        </div>

        <div class="col-md-3">
            <div class="mb-2">
                        <label><b>Donators <span style="color: red">*</span></b></label>  
                    
                        <select name="donators_id" id="donators_id"  class="form-control custom-select select2-dropdown-donators" style="width:100%;" required>
                            <option value="">Select</option>
                    </select>
                </div>
            </div>

             <div class="col-md-3">
                <div class="mb-2">
                <label ><b>Amount <span style="color: red">*</span></b></label>
           
                <input type="number" name="amount" id="amount" class="form-control" step="any" min="0.01" value="{{old('amount')}}" required >
            </div>
        </div>

                <div class="col-md-3">
                    <div class="mb-2">
                        <label ><b>Description <span style="color: red">*</span></b></label>
               
                    <textarea id="notes" name="notes" rows="4" class="form-control" required></textarea>
                </div>
            </div>
        </div>

              <div class="card-footer">
                <button type="submit" class="btn btn-primary" value="create" id="receipt-create-btn">Submit</button>
            </div>
    </form>
</div>
            
    
@endsection    

@section('script-content')
    <script >
    $(document).on('change','#collector_name', function() {

            $("#donators_id").val('').trigger('change');
    });

$(".select2-dropdown-donators").select2({
        theme: "bootstrap",
        ajax: {
            type: "POST",
            url: "/donators/getdonators",
            dataType: "json",
            data: function (params) {
                var query = {
                    search: params.term,
                    receiver_id: $("#collector_name").val(),
                };

                return query;
            },
            processResults: function (data) {
                data.unshift({id:"",text:"SELECT"});
                return {
                    results: data,
                };
            },
        },
    });

    const formObj = document.getElementById("receipt_entry_form");

    if(formObj){
    formObj.addEventListener('submit',receipt_entry_form_submit);
    }


    function receipt_entry_form_submit(e){

        let amount = $("#amount").val();

        e.preventDefault();
        e.stopPropagation();
        
        var forms = document.getElementsByClassName('needs-validation');
        var validation = Array.prototype.filter.call(forms, function(form) {
        
            if (form.checkValidity() === false) {
            
                form.classList.add('was-validated');
            
            }else{

                if (amount=='0.00') {
                    ToastWarning.fire({
                        title: "Plaese Check Amount"
                    });
            
                    return false;
                }

            
                $("#receipt-create-btn").prop('disabled',true);
                $("#receipt-create-btn").html('Submitting..');
                
                formObj.submit();
        
            }
        });

    }


    </script>
@endsection
